<?php declare(strict_types=1);

namespace App\Captcha\Dto;

final readonly class Sector
{
    public function __construct(
        private int $x,
        private int $y,
        private int $width,
        private int $height,
    ) { }

    /**
     * @return int
     */
    public function getX(): int
    {
        return $this->x;
    }

    /**
     * @return int
     */
    public function getY(): int
    {
        return $this->y;
    }

    /**
     * @return int
     */
    public function getWidth(): int
    {
        return $this->width;
    }

    /**
     * @return int
     */
    public function getHeight(): int
    {
        return $this->height;
    }
}
